require "kemal"
require "./business.cr"

get "/:name" do |env|
    name = env.params.url["name"]
    stack = Lua.load;
    stack.set_global("Business", Business.new);
    stack.run File.new("./scripts/my_func.lua");
    display_event = stack.run %q{
        return display_event;
    };
    view = render "./src/app/button.ecr";
    stack.close;
    view;
end

post "/:name" do |env|
    name = env.params.url["name"]
    stack = Lua.load;
    stack.set_global("Business", Business.new);
    stack.run File.new("./scripts/my_func.lua");
    run_event = stack.run %q{
        return run_event;
    };
    display_event = stack.run %q{
        return display_event;
    };
    run_event.as(Lua::Function).call(name);
    view = render "./src/app/button.ecr";
    stack.close;
    view;
end
